Get the shareholder allowlist
curl --request GET \
--url https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/shareholders \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/shareholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/microvaults/vaults/{vaultId}/shareholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shareholders": {
"root": "0x2222222222222222222222222222222222222222222222222222222222222222",
"addresses": [
{
"address": "0x3333333333333333333333333333333333333333",
"status": "confirmed"
}
]
}
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "microvaults_not_enabled",
"message": "MicroVaults are not enabled for this organization"
}Shareholders
Get MicroVault shareholders
GET
/
v2
/
microvaults
/
vaults
/
{vaultId}
/
shareholders
Get the shareholder allowlist
Read the active shareholder root and the addresses represented by it.
MicroVaults are in private preview for enabled sandbox organizations on Ethereum Sepolia.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Example:
"8f4c52d7-62ab-4db9-a964-92f481f6b851"
Response
Current confirmed root and its addresses.
Show child attributes
Show child attributes